Gecode::Int::NoOffset< View > Class Template Reference

Converter without offsets. More...

`#include <view.hpp>`

## Public Types

typedef View | ViewType
| The view type.

## Public Member Functions

View & | operator() (View &x)
| Pass through x.
void | update (const NoOffset &)
| Update during cloning.
int | offset (void) const
| Access offset.

## Detailed Description

template<class View>
class Gecode::Int::NoOffset< View >

Converter without offsets.

Definition at line 618 of file view.hpp.

## Member Typedef Documentation

## ViewType

template<class View>

typedef View Gecode::Int::NoOffset< View >::ViewType

The view type.

Definition at line 621 of file view.hpp.

## Member Function Documentation

## operator()()

template<class View>

View & Gecode::Int::NoOffset< View >::operator() | ( | View & | x | ) |

Pass through x.

## update()

template<class View>

void Gecode::Int::NoOffset< View >::update | ( | const NoOffset< View > & |  | ) |

Update during cloning.

## offset()

template<class View>

int Gecode::Int::NoOffset< View >::offset | ( | void |  | ) | const

Access offset.

The documentation for this class was generated from the following file:

- gecode/int/view.hpp